%define piname	objsearch_pi

Name:           opencpn-objsearch-plugin
Summary:        Chart Object Search plugin for OpenCPN
Version:        0.21
%define subrel  1
Release:        %mkrel 6
License:        GPLv3+
Group:          Geography
URL:            https://opencpn.org/OpenCPN/plugins/chartobject.html
Source0:        https://github.com/nohal/%{piname}/archive/v%{version}/%{piname}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:	wxgtku3.0-devel < 3.1
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(tinyxml)

Requires:	opencpn
Provides:	%{piname} = %{version}

%description
Allows search of named objects on S-57 s63 and CM93 vector charts.

Note: After the installation, the plug-in does not know anything about your
charts, you must view a chart at least once to populate the plug-in's database
with it's content.
This one time operation makes OpenCPN slower, however during subsequent views
of the same chart the speed of the application is unaffected.
Once the database is populated, the charts are no longer needed, so if you
prefer to use raster charts, you can populate the database from the ENC
chartset and then switch back to RNC charts and the search capabilities will
still be available.

%prep
%setup -q -n %{piname}

%build
%cmake

%cmake_build

%install
%cmake_install

%find_lang opencpn-%{piname}

%ifarch x86_64 aarch64
mkdir -p %{buildroot}%{_libdir}/opencpn
mv %{buildroot}/usr/lib/opencpn/* %{buildroot}%{_libdir}/opencpn/
%endif

%files -f opencpn-%{piname}.lang
%{_libdir}/opencpn/lib%{piname}.so
%{_datadir}/opencpn/plugins/%{piname}/data/


%changelog
* Sat Jul 31 2021 philippedidier <philippedidier> 0.21-6.1.mga8
+ Revision: 1738337
- correct %%mkrel and add %%subrel
- build with wxgtku3.0 strictly needed instead of 3.1

* Fri Jan 01 2021 wally <wally> 0.21-6.mga8
+ Revision: 1667714
- rebuild for wxgtk pre 3.1.5 snapshot

* Sun Aug 16 2020 wally <wally> 0.21-5.mga8
+ Revision: 1614355
- rebuild for new wxgtk 3.1.4

* Tue Feb 18 2020 daviddavid <daviddavid> 0.21-4.mga8
+ Revision: 1539486
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Tue Nov 12 2019 wally <wally> 0.21-3.mga8
+ Revision: 1459479
- rebuild for wxgtk 3.1.3

* Sat Jul 13 2019 wally <wally> 0.21-2.mga8
+ Revision: 1421019
- rebuild with gtk3 enabled wxgtk 3.1.2

* Tue Apr 09 2019 barjac <barjac> 0.21-1.mga7
+ Revision: 1387245
- new version 0.21

* Sun Feb 10 2019 barjac <barjac> 0.20-1.mga7
+ Revision: 1364721
- new version 0.20

* Sun Sep 23 2018 umeabot <umeabot> 0.9-3.mga7
+ Revision: 1299997
- Mageia 7 Mass Rebuild

* Sun Jun 24 2018 wally <wally> 0.9-2.mga7
+ Revision: 1239510
- fix build on aarch64

* Thu Apr 19 2018 barjac <barjac> 0.9-1.mga7
+ Revision: 1220024
- new version 0.9

* Thu Aug 24 2017 ovitters <ovitters> 0.7-3.mga7
+ Revision: 1145386
+ rebuild (emptylog)

* Sat Jun 03 2017 akien <akien> 0.7-3.mga6
+ Revision: 1106113
- Rebuild for wxgtk 3.0.3.1

* Thu Jun 02 2016 daviddavid <daviddavid> 0.7-2.mga6
+ Revision: 1019833
- rebuild for wxgtk3.0 built with GTK2

* Mon Feb 29 2016 barjac <barjac> 0.7-1.mga6
+ Revision: 980793
- new version 0.7
- fix files list

* Tue Feb 16 2016 barjac <barjac> 0.6-3.mga6
+ Revision: 962341
- changed buildrequire wxgtku3.0

* Tue Feb 16 2016 umeabot <umeabot> 0.6-2.mga6
+ Revision: 961936
- Mageia 6 Mass Rebuild

* Tue Dec 08 2015 barjac <barjac> 0.6-1.mga6
+ Revision: 908779
- new package opencpn-objsearch-plugin

